# Enum CalendarRecurrenceRule.Frequency

java.lang.Object
java.lang.Enum<CalendarRecurrenceRule.Frequency>
com.codename1.calendar.CalendarRecurrenceRule.Frequency

All Implemented Interfaces:
  `Comparable<CalendarRecurrenceRule.Frequency>`

Enclosing class:
  `CalendarRecurrenceRule`

public static enum CalendarRecurrenceRule.Frequency extends Enum<CalendarRecurrenceRule.Frequency>

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DAILY`
  `MONTHLY`
  `WEEKLY`
  `YEARLY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CalendarRecurrenceRule.Frequency`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static CalendarRecurrenceRule.Frequency[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DAILY

    public static final CalendarRecurrenceRule.Frequency DAILY

  - ### WEEKLY

    public static final CalendarRecurrenceRule.Frequency WEEKLY

  - ### MONTHLY

    public static final CalendarRecurrenceRule.Frequency MONTHLY

  - ### YEARLY

    public static final CalendarRecurrenceRule.Frequency YEARLY

- ## Method Details

  - ### values

    public static CalendarRecurrenceRule.Frequency[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static CalendarRecurrenceRule.Frequency valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null